#!/bin/sh
#
# geninitrd mod: sata

find_modules_sata()
{
	debug "Finding SATA modules"

	if [ ! -x /sbin/lspci ]; then
		warn "Failed to execute /sbin/lspci. Is pciutils package installed?"
		return
	fi

	# Classes (we want only 0106)
	# 0101 - IDE/PATA
	# 0106 - SATA/AHCI
	# 0107 - SAS
	# 0100 - SCSI
	local module
	local vendordev
	vendordev=$(lspci -n -p /lib/modules/$kernel/modules.pcimap 2> /dev/null | awk '/0106/{ gsub(/:/," "); print "0x0000"$4 " " "0x0000"$5}')
	if [ -n "$vendordev" ]; then
		module=$(grep "$vendordev" /lib/modules/$kernel/modules.pcimap | awk '{print $1}')
		find_module "$module"
	fi
}
